package es.dalocar.facturamas.swt.edit;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import com.gface.date.DatePickerCombo;
import com.swtdesigner.SWTResourceManager;

public class EditDetailFactura extends Composite {

	
	private Text txtIdfactura;
	private Text txtModopago;
	private DatePickerCombo datePickerFecha;
	private Button buttonCobrada;
	private Combo comboClientes;
	private DatePickerCombo datePickerCobro;
	private Text txtIrpf;
	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public EditDetailFactura(Composite parent, int style) {
		super(parent, style);
		
		txtIdfactura = new Text(this, SWT.BORDER);
		txtIdfactura.setFont(SWTResourceManager.getFont("Arial", 12, SWT.NORMAL));
		txtIdfactura.setBounds(117, 48, 109, 30);
		txtIdfactura.setEnabled(false);
		
		datePickerFecha = new DatePickerCombo(this, SWT.NONE);
		datePickerFecha.setFont(SWTResourceManager.getFont("Arial", 13, SWT.NORMAL));
		datePickerFecha.setBounds(117, 127, 255, 30);
		
		comboClientes = new Combo(this, SWT.NONE);
		comboClientes.setFont(SWTResourceManager.getFont("Arial", 13, SWT.NORMAL));
		comboClientes.setBounds(117, 84, 261, 39);
		
		Group grpInformacinPago = new Group(this, SWT.NONE);
		grpInformacinPago.setText("Informaci\u00F3n Pago");
		grpInformacinPago.setBounds(407, 23, 370, 158);
		
		txtModopago = new Text(grpInformacinPago, SWT.BORDER);
		txtModopago.setFont(SWTResourceManager.getFont("Arial", 13, SWT.NORMAL));
		txtModopago.setBounds(81, 101, 270, 30);
		
		buttonCobrada = new Button(grpInformacinPago, SWT.CHECK);
		buttonCobrada.setBounds(101, 27, 111, 23);
		buttonCobrada.setFont(SWTResourceManager.getFont("Segoe UI", 12, SWT.NORMAL));
		
		datePickerCobro = new DatePickerCombo(grpInformacinPago, SWT.NONE);
		datePickerCobro.setFont(SWTResourceManager.getFont("Arial", 13, SWT.NORMAL));
		datePickerCobro.setBounds(81, 56, 270, 30);
		
		Label label = new Label(grpInformacinPago, SWT.NONE);
		label.setAlignment(SWT.RIGHT);
		label.setBounds(10, 56, 65, 30);
		label.setText("Fecha");
		label.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		Label lblModo = new Label(grpInformacinPago, SWT.NONE);
		lblModo.setAlignment(SWT.RIGHT);
		lblModo.setBounds(10, 101, 65, 30);
		lblModo.setText("Modo");
		lblModo.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		Label lblCobrada = new Label(grpInformacinPago, SWT.NONE);
		lblCobrada.setAlignment(SWT.RIGHT);
		lblCobrada.setBounds(10, 25, 75, 30);
		lblCobrada.setText("Cobrada");
		lblCobrada.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		Label labelId = new Label(this, SWT.NONE);
		labelId.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		labelId.setBounds(22, 48, 103, 30);
		labelId.setText("N\u00FAmero");
		
		Label labelCliente = new Label(this, SWT.NONE);
		labelCliente.setBounds(22, 84, 103, 30);
		labelCliente.setText("Cliente");
		labelCliente.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		Label lblFecha = new Label(this, SWT.NONE);
		lblFecha.setBounds(22, 127, 103, 30);
		lblFecha.setText("Fecha");
		lblFecha.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		Label lblIrpf = new Label(this, SWT.NONE);
		lblIrpf.setBounds(22, 173, 90, 30);
		lblIrpf.setText("Irpf");
		lblIrpf.setFont(SWTResourceManager.getFont("Segoe UI", 14, SWT.NORMAL));
		
		txtIrpf = new Text(this, SWT.BORDER);
		txtIrpf.setFont(SWTResourceManager.getFont("Arial", 13, SWT.NORMAL));
		txtIrpf.setBounds(117, 173, 109, 30);

	}

	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}
	public DatePickerCombo getDatePickerFecha() {
		return datePickerFecha;
	}
	public Button getButtonCobrada() {
		return buttonCobrada;
	}
	public Text getTxtIdfactura() {
		return txtIdfactura;
	}
	public Combo getComboClientes() {
		return comboClientes;
	}
	public DatePickerCombo getDatePickerCobro() {
		return datePickerCobro;
	}
	public Text getTxtModopago() {
		return txtModopago;
	}
	
	public Text getTxtIrpf() {
		return txtIrpf;
	}
}
